This is the mail archive of the cygwin-apps@cygwin.com mailing list for the Cygwin project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[Patch] Enhance bootstrap.sh in setup and libgetopt++


Requesting approval to apply this patch.


BEGIN_PATCH
Index: bootstrap.sh
===================================================================
RCS file: /home/max/cvsmirror/cygwin-apps-cvs/setup/bootstrap.sh,v
retrieving revision 2.2
diff -u -r2.2 bootstrap.sh
--- bootstrap.sh 27 Apr 2002 00:00:04 -0000 2.2
+++ bootstrap.sh 8 Mar 2003 11:39:38 -0000
@@ -16,6 +16,22 @@
   fi
 }
 
+# Make sure we are running in the right directory
+if [ ! -f cygpackage.cc ]; then
+  echo "You must run this script from the directory containing it"
+  exit 1
+fi
+
+# Run bootstrap in required subdirs, iff it has not yet been run
+if [ ! -f libgetopt++/configure ]; then
+  echo "Running bootstrap.sh in libgetopt++"
+  (
+    cd libgetopt++
+    ./bootstrap.sh
+  )
+  echo "Continuing with bootstrap in current directory"
+fi
+
 # Make sure cfgaux exists
 mkdir -p cfgaux
 
Index: libgetopt++/bootstrap.sh
===================================================================
RCS file: /home/max/cvsmirror/cygwin-apps-cvs/libgetopt++/bootstrap.sh,v
retrieving revision 1.1
diff -u -r1.1 bootstrap.sh
--- libgetopt++/bootstrap.sh 14 Apr 2002 02:23:32 -0000 1.1
+++ libgetopt++/bootstrap.sh 8 Mar 2003 11:30:12 -0000
@@ -16,6 +16,12 @@
   fi
 }
 
+# Make sure we are running in the right directory
+if [ ! -f src/GetOption.cc ]; then
+    echo "You must run this script from the directory containing it"
+    exit 1
+fi
+
 # Make sure cfgaux exists
 mkdir -p cfgaux
 
END_PATCH


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]